<?php

namespace Rbac\Events;

use Illuminate\Broadcasting\InteractsWithSockets;
use Illuminate\Broadcasting\PrivateChannel;
use Illuminate\Foundation\Events\Dispatchable;
use Illuminate\Queue\SerializesModels;
use Psr\Log\LoggerInterface;

/**
 * Событие обновления прав доступа
 *
 * Class UpdatePermissions
 *
 * @package Rbac\Events
 */
class UpdatePermissions
{
    use Dispatchable;
    use InteractsWithSockets;
    use SerializesModels;

    /**
     * Логгер
     *
     * @var LoggerInterface
     */
    private ?LoggerInterface $logger;

    /**
     * Create a new event instance.
     *
     * @param null|LoggerInterface $logger Логгер
     *
     * @return void
     */
    public function __construct(?LoggerInterface $logger = null)
    {
        $this->logger = $logger;
    }

    /**
     * Get the channels the event should broadcast on.
     *
     * @return \Illuminate\Broadcasting\Channel|array
     */
    public function broadcastOn()
    {
        return new PrivateChannel('rbac-update-permissions');
    }

    /**
     * Получение логгера
     *
     * @return LoggerInterface
     */
    public function getLogger(): ?LoggerInterface
    {
        return $this->logger;
    }
}
