<?php

namespace Rbac\Http\Controllers;

use App\Http\Controllers\BaseApiController;
use Rbac\Events\UpdatePermissions;
use Illuminate\Http\JsonResponse;

/**
 * Контроллер для работы с RBAC
 *
 * @package Rbac\Http\Controllers
 */
class RbacController extends BaseApiController
{
    /**
     * Обновляем прав доступа
     *
     * @return JsonResponse
     */
    public function updatePermissions(): JsonResponse
    {
        event(new UpdatePermissions(logger()->channel('rbac_update_permissions')));

        return $this->sendResponse(['result' => true]);
    }
}
