<?php

namespace Rbac\Models;

use Illuminate\Database\Eloquent\Builder;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

/**
 * Модель связи прав доступа и ролей
 *
 * Rbac\Models\RoleUser
 *
 * @property integer $id ID
 * @property integer $user_id ID пользователя
 * @property string $role_name Наименование роли
 *
 * @method static Builder|RoleUser newModelQuery()
 * @method static Builder|RoleUser newQuery()
 * @method static Builder|RoleUser query()
 * @mixin \Eloquent
 *
 * @property Role $role Роль пользователя
 */
class RoleUser extends Model
{
    protected $table = 'rbac.roles_users';

    /**
     * Отношение для ролей пользователя
     *
     * @return BelongsTo
     */
    public function role()
    {
        return $this->belongsTo(Role::class, 'role_name', 'name');
    }
}
